Uploaded image for project: 'mod_cluster'
  1. mod_cluster
  2. MODCLUSTER-528

Re-think catalina/tomcat dependencies so as it is possible to build without tomcat7 API

    XMLWordPrintable

Details

    • Enhancement
    • Status: Resolved (View Workflow)
    • Major
    • Resolution: Done
    • 1.3.3.Final, 1.4.0.Final
    • 2.0.0.Final
    • None
    • None

    Description

      It is not possible (or I'm doing something wrong) to build mod_cluster Tomcat libs with Tomcat 8-only API.
      I hit this problem with RPM build on Fedora where I cannot download random stuff from maven central and I need to specify dependencies beforehand.

      Description

      Suggestion

      • architecture dependencies so as it is possible to build mod_cluster with Tomcat 8 API only (and Tomcat 7 API only)
      • drop Tomcat 6 and JBossWeb from 1.3.x as they are not used in 1.3.x anyway (last use of Tomcat 6 and JBossWeb is 1.2.x)

      Fedora 24 offers only Tomcat 8

      ...so does it even make sense to offer users Tomcat 7 libs RPM? At the moment, I have it disabled. Note: Former mod_cluster RPM (1.2.6) hasn't been distributing any usable tomcat integration; it has been AS7/JBossWeb one.

      Attachments

        Issue Links

          Activity

            People

              rhn-engineering-rhusar Radoslav Husar
              mbabacek1@redhat.com Michal Karm
              Votes:
              0 Vote for this issue
              Watchers:
              4 Start watching this issue

              Dates

                Created:
                Updated:
                Resolved: